curl --request POST \
--url https://whitebit.com/api/v4/main-account/deposit \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "EUR",
"provider": "SEPA_BCB_GROUP",
"amount": "100",
"uniqueId": "a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04",
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/main-account/deposit"
payload = {
"ticker": "EUR",
"provider": "SEPA_BCB_GROUP",
"amount": "100",
"uniqueId": "a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04",
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: 'EUR',
provider: 'SEPA_BCB_GROUP',
amount: '100',
uniqueId: 'a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04',
request: '{{request}}',
nonce: 1594297865000
})
};
fetch('https://whitebit.com/api/v4/main-account/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://whitebit.com/api/v4/main-account/deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => 'EUR',
'provider' => 'SEPA_BCB_GROUP',
'amount' => '100',
'uniqueId' => 'a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04',
'request' => '{{request}}',
'nonce' => 1594297865000
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-TXC-APIKEY: <api-key>",
"X-TXC-PAYLOAD: <api-key>",
"X-TXC-SIGNATURE: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://whitebit.com/api/v4/main-account/deposit"
payload := strings.NewReader("{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-TXC-APIKEY", "<api-key>")
req.Header.Add("X-TXC-PAYLOAD", "<api-key>")
req.Header.Add("X-TXC-SIGNATURE", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://whitebit.com/api/v4/main-account/deposit")
.header("X-TXC-APIKEY", "<api-key>")
.header("X-TXC-PAYLOAD", "<api-key>")
.header("X-TXC-SIGNATURE", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://whitebit.com/api/v4/main-account/deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-TXC-APIKEY"] = '<api-key>'
request["X-TXC-PAYLOAD"] = '<api-key>'
request["X-TXC-SIGNATURE"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}"
response = http.request(request)
puts response.read_bodyCreate fiat deposit
The endpoint creates a bank transfer fiat deposit request and returns the bank details for the transfer in paymentDetails. Supported providers: SEPA_BCB_GROUP, SEPA_CLEAR_JUNCTION, FINCI, and SEPA_FINSEI.
SEPA_BCB_GROUP requires an active virtual account. Register the account with Create virtual account and wait until Get virtual account status returns active. Without an active virtual account, the endpoint rejects the request with Virtual account is missing. The other providers have no virtual account prerequisite.
Send the bank transfer to the account in paymentDetails. To track the deposit, call Get deposit/withdraw history with unique_id set to the uniqueId from the request.
The minimum and maximum deposit amounts of the provider and the daily and monthly deposit limits of the account apply. Fees match the fees for deposits made in the WhiteBIT interface.
Two settings control access to the endpoint:
- Endpoint access. Enable the endpoint in the API key settings.
- Provider access. WhiteBIT support enables API deposits for each provider on the account. Without provider access, the endpoint returns
403.
Rate limit: 1000 requests/10 sec.
The API does not cache the response.
curl --request POST \
--url https://whitebit.com/api/v4/main-account/deposit \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "EUR",
"provider": "SEPA_BCB_GROUP",
"amount": "100",
"uniqueId": "a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04",
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/main-account/deposit"
payload = {
"ticker": "EUR",
"provider": "SEPA_BCB_GROUP",
"amount": "100",
"uniqueId": "a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04",
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: 'EUR',
provider: 'SEPA_BCB_GROUP',
amount: '100',
uniqueId: 'a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04',
request: '{{request}}',
nonce: 1594297865000
})
};
fetch('https://whitebit.com/api/v4/main-account/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://whitebit.com/api/v4/main-account/deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => 'EUR',
'provider' => 'SEPA_BCB_GROUP',
'amount' => '100',
'uniqueId' => 'a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04',
'request' => '{{request}}',
'nonce' => 1594297865000
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-TXC-APIKEY: <api-key>",
"X-TXC-PAYLOAD: <api-key>",
"X-TXC-SIGNATURE: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://whitebit.com/api/v4/main-account/deposit"
payload := strings.NewReader("{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-TXC-APIKEY", "<api-key>")
req.Header.Add("X-TXC-PAYLOAD", "<api-key>")
req.Header.Add("X-TXC-SIGNATURE", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://whitebit.com/api/v4/main-account/deposit")
.header("X-TXC-APIKEY", "<api-key>")
.header("X-TXC-PAYLOAD", "<api-key>")
.header("X-TXC-SIGNATURE", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://whitebit.com/api/v4/main-account/deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-TXC-APIKEY"] = '<api-key>'
request["X-TXC-PAYLOAD"] = '<api-key>'
request["X-TXC-SIGNATURE"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"EUR\",\n \"provider\": \"SEPA_BCB_GROUP\",\n \"amount\": \"100\",\n \"uniqueId\": \"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04\",\n \"request\": \"{{request}}\",\n \"nonce\": 1594297865000\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
Fiat provider for the deposit: SEPA_BCB_GROUP, SEPA_CLEAR_JUNCTION, FINCI, or SEPA_FINSEI. Confirm the providers enabled for the account with the Asset Status endpoint.
"SEPA_BCB_GROUP"
Deposit amount in ticker units. The amount must be within the minimum and maximum deposit amounts of the provider and the deposit limits of the account.
"100"
Unique deposit identifier on the client side. Any string up to 255 characters; must be unique for the account. Use the value to find the deposit in the deposit/withdraw history.
255"a7d3c9e2-6f14-4b8e-9d21-3c5e7f9a1b04"
Request path. See the authentication guide for signature generation details.
"{{request}}"
A unique identifier for the request. Use a monotonically increasing value such as a Unix timestamp in milliseconds.
1594297865000
Response
Deposit request created
Deposit identifier assigned by WhiteBIT.
The uniqueId from the request.
Bank details for the transfer. The set of keys depends on the provider: SEPA_BCB_GROUP and SEPA_CLEAR_JUNCTION return beneficiary, iban, and bic. Other providers return provider-specific keys.
Show child attributes
Show child attributes
Was this page helpful?